/* 
Copyright (c) 2007 Alloysoft, LLC. All rights reserved.
http://www.alloysoft.com
*/

var player = new RemotePlayer();

// UI control
var showingMediaLib = false;
var showingPlaylist = false;
var showingSearchResults = false;
var showingMediaLibSearch = false;
var showingMediaLibActions = false;
var showingSubControls = false;

function onLoad()
{
	player.onCurrentMediaChanged = onCurrentMediaChanged;
	player.onAlbumArtChanged = onAlbumArtChanged;
	player.onPlayingStateChanged = onPlayingStateChanged;
	player.onVolumeChanged = onVolumeChanged;
	
	player.start();
}

function toggleControls()
{
	var subcontrols = document.getElementById('subcontrols');
	
	window.scrollTo(0,1);
	
	if (!showingSubControls)
	{
		subcontrols.style.visibility = 'visible';
		showingSubControls = true;
	}
	else
	{
		subcontrols.style.visibility = 'hidden';
		showingSubControls = false;
	}
}

function onCurrentMediaChanged(mediaItem)
{
	var artistElem = document.getElementById('artist');
	if (artistElem)
		artistElem.innerHTML = mediaItem.artist;
	
	var albumElem = document.getElementById('album');
	if (albumElem)
		albumElem.innerHTML = mediaItem.album;
	
	var titleElem = document.getElementById('title');
	if (titleElem)
		titleElem.innerHTML = mediaItem.title;
}

function onAlbumArtChanged(url)
{
	if (url == "")
	{
		url = "no_artwork.png";
	}
	
	var artHTML = "";
	if (url != "")
	{
		artHTML = '<img src="' + url + '" width="320" height="320">';
	}
	
	if (document.getElementById)
	{
		var albumart = document.getElementById("albumart");
		albumart.innerHTML = artHTML;
	}
	else
	{
		albumart.innerHTML = artHTML;
	}
}

function onPlayingStateChanged(playingState)
{
	var image = '<img src="images/ctrl_play.png">';
	if (playingState == 'playing')
	{
		image = '<img src="images/ctrl_pause.png">';
	}
	
	if (document.getElementById)
	{
		var ctrlElem = document.getElementById('ctrl_play');
		ctrlElem.innerHTML = image;
	}
	else
	{
		ctrl_play.innerHTML = image;
	}
}

function onVolumeChanged(volume)
{
	var volumeBarBack = document.getElementById('volumecontrol');
	var volumeBar = document.getElementById('volumecontrol_on');
	if (volumeBar && volumeBarBack)
	{
		// calculate the width we need
		var width = (volumeBarBack.offsetWidth - 20);
		width *= (volume / 100.0);
		volumeBar.style.width = width + "px";
	}	
}